Commit 43a42920 authored by Pekka Paalanen's avatar Pekka Paalanen
Browse files

meson: better error for wayland-backend wl-egl dep



Helps people avoid wayland-egl if they don't want it.

Makes the check for wayland-egl explicit on the site instead of relying
on gl-renderer checking for it.
Signed-off-by: Pekka Paalanen's avatarPekka Paalanen <pq@iki.fi>
parent 4da81412
......@@ -309,7 +309,11 @@ if get_option('backend-wayland')
]
if get_option('renderer-gl')
deps_wlwl += dep_wl_egl
d = dependency('wayland-egl', required: false)
if not d.found()
error('wayland-backend + gl-renderer requires wayland-egl which was not found. Or, you can use \'-Dbackend-wayland=false\' or \'-Drenderer-gl=false\'.')
endif
deps_wlwl += d
endif
plugin_wlwl = shared_library(
......
......@@ -154,7 +154,6 @@ dep_libm = cc.find_library('m')
dep_libdl = cc.find_library('dl')
dep_libdrm = dependency('libdrm', version: '>= 2.4.68')
dep_libdrm_headers = dep_libdrm.partial_dependency(compile_args: true)
dep_wl_egl = dependency('wayland-egl')
dep_threads = dependency('threads')
subdir('protocol')
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment